SREPORT(1)

NAME
sreport - Generate reports from the slurm accounting data.

SYNOPSIS
sreport [OPTIONS...] [COMMAND...]

DESCRIPTION
sreport is used to generate certain reports. It provides a view into accounting data gathered from slurm via the account information maintained within a database with the interface being provided by the slurmdbd (Slurm Database daemon).

OPTIONS

-a, --all_clusters
    Use all clusters instead of only the cluster from where the command was run.

-h, --help
    Print a help message describing the usage of sreport.

-n, --no_header
    Don't display header when listing results.

-p, --parsable
    Output will be '|' delimited with a '|' at the end.

-P, --parsable2
    Output will be '|' delimited without a '|' at the end.

-q, --quiet
    Print no warning or informational messages, only error messages.

-t <format>
    Specify the output time format. Time format options are case insensitive and may be abbreviated. The default format is Minutes. Supported time format options are listed in the time command section below.

-v, --verbose
    Print detailed event logging.

-V , --version
    Print version information and exit.

COMMANDS

<keyword> may be omitted from the execute line and sreport will
    execute in interactive mode. sreport will process commands as entered until explicitly terminated.

exit
    Terminate the execution of sreport. Identical to the quit command.

help
    Display a description of sreport options and commands.

parsable
    Output will be | delimited with an ending '|'.

parsable2
    Output will be | delimited without an ending '|'.

quiet
    Print no warning or informational messages, only fatal error messages.

quit
    Terminate the execution of sreport. Identical to the exit command.

time <time_format>
    Specify the output time format. Time format options are case insensitive and may be abbreviated. The default format is Minutes. Supported time format options include:

    SecPer
        Seconds/Percentage of Total

    MinPer
        Minutes/Percentage of Total

    HourPer
        Hours/Percentage of Total

    Seconds
        Seconds

    Minutes
        Minutes

    Hours
        Hours

    Percent
        Percentage of Total

verbose
    Enable detailed event logging.

version
    Display the sreport version number.

!!  Repeat the last command executed.

REPORT TYPES

Valid report types are:
    cluster <REPORT> <OPTIONS> job <REPORT> <OPTIONS> user <REPORT> <OPTIONS>

<REPORT> options for each type include:
    cluster    - AccountUtilizationByUser, UserUtilizationByAccount,
    UserUtilizationByWckey, Utilization, WCKeyUtilizationByUser
    job    - Sizes
    user    - TopUsage

REPORT DESCRIPTION

    cluster AccountUtilizationByUser
        This report will display account utilization as it appears on the hierarchical tree. Starting with the specified account or the root account by default this report will list the underlying usage with a sum on each level. Use the 'tree' option to span the tree for better visibility.

    cluster UserUtilizationByAccount
        This report will display users by account in order of utilization without grouping multiple accounts by user into one, but displaying them on separate lines.

    cluster UserUtilizationByWCKey
        This report will display users by wckey in order of utilization without grouping multiple wckey by user into one, but displaying them on separate lines.

    cluster Utilization
        This report will display total usage divided by Allocated, Down, Idle, and Reserved time for selected clusters. Reserved time refers to time that a job was waiting for resources after the job had become eligible. If the value is not of importance for you the number should be grouped with idle time.

    cluster WCKeyUtilizationByUser
        This report will display wckey utilization sorted by WCKey name for each user on each cluster.

    job Sizes
        This report will dispay the amount of time used for job ranges specified by the 'grouping=' option. Only a single level in the tree is displayed defaulting to the root dir. If you specify other accounts with the 'account=' option sreport will use those accounts as the root account and you will receive the sub accounts for the accounts listed.

    user TopUsage
        Displays the top users on a cluster. Use the group option to group accounts together. The default is to have a different line for each user account combination.

    Each report type has various options...

    COMMON FOR ALL TYPES

        All_Clusters
            Use all monitored clusters. Default is local cluster.

        Clusters=<OPT>
            List of clusters to include in report. Default is local cluster.

        End=<OPT>
            Period ending for report. Default is 23:59:59 of previous day.

        Format=<OPT>
            Comma separated list of fields to display in report.

        Start=<OPT>
            Period start for report. Default is 00:00:00 of previous day.

    CLUSTER

        Accounts=<OPT>
            When used with the UserUtilizationByAccount, or AccountUtilizationByUser, List of accounts to include in report. Default is all.

        Tree
            When used with the AccountUtilizationByUser report will span the accounts as they are in the hierarchy.

        Users=<OPT>
            When used with any report other than Utilization, List of users to include in report. Default is all.

        Wckeys=<OPT>
            When used with the UserUtilizationByWckey or WCKeyUtilizationByUser, List of wckeys to include in report. Default is all.

    JOB

        Accounts=<OPT>
            List of accounts to use for the report Default is all. The Sizes report only displays 1 hierarchical level. If accounts are specified the next layer of accounts under those specified will be displayed, not the accounts specified. In the Sizes reports the default for accounts is root.

        GID=<OPT>
            List of group ids to include in report. Default is all.

        Grouping=<OPT>
            Comma separated list of size groupings. (i.e. 50,100,150 would group job cpu count 1-49, 50-99, 100-149, > 150).

        Jobs=<OPT>
            List of jobs/steps to include in report. Default is all.

        Partitions=<OPT>
            List of partitions jobs ran on to include in report. Default is all.

        PrintJobCount
            When used with the Sizes report will print number of jobs ran instead of time used.

        Users=<OPT>
            List of users jobs to include in report. Default is all.

    USER

        Accounts=<OPT>
            List of accounts to use for the report. Default is all.

        Group
            Group all accounts together for each user. Default is a separate entry for each user and account reference.

        TopCount=<OPT>
            Used in the TopUsage report. Change the number of users displayed. Default is 10.

        Users=<OPT>
            List of users jobs to include in report. Default is all.

Format Options for Each Report
Cluster
       AccountUtilizationByUser
       UserUtilizationByAccount
             - Accounts, Cluster, CPUCount, Login, Proper, Used
       UserUtilizationByWckey
       WCKeyUtilizationByUser
             - Cluster, CPUCount, Login, Proper, Used, Wckey
       Utilization
             - Allocated, Cluster, CPUCount, Down, Idle, Overcommited,
               PlannedDown, Reported, Reserved Job
       Sizes
             - Account, Cluster User
       TopUsage
             - Account, Cluster, Login, Proper, Used

All commands and options are case-insensitive.

EXAMPLES

sreport job sizes

report cluster utilization

sreport user top

sreport job sizes All_Clusters users=gore1 account=environ PrintJobCount
    Report number of jobs by user gore1 within the environ account

sreport cluster AccountUtilizationByUser cluster=zeus user=gore1 start=2/23/08 end=2/24/09 format=Accounts,Cluster,CPU_Count,Login,Proper,Used
    Report cluster account utilization with the specified fields during the specified 24 hour day of February 23, 2009, by user gore1

sreport cluster AccountUtilizationByUser cluster=zeus accounts=lc start=2/23/08 end=2/24/09
    Report cluster account utilization by user in the LC account on cluster zeus

sreport user topusage start=2/16/09 end=2/23/09 -t percent account=lc
    Report top usage in percent of the lc account during the specified week

COPYING
Copyright (C) 2009 Lawrence Livermore National Security.
    Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
sacct(1), slurmdbd(8)